Bug 71115 - FindBugs tool issues in source code
FindBugs tool issues in source code
Status: STARTED
Product: serverplugins
Classification: Unclassified
Component: Sun Appserver 8
6.x
All All
: P4 (vote)
: 6.x
Assigned To: Nitya Doraisamy
issues@serverplugins
FINDBUGS
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-06 16:45 UTC by Lukasz Grela
Modified: 2009-05-25 21:05 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
findbugs report (124.32 KB, text/xml)
2006-01-06 16:46 UTC, Lukasz Grela
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukasz Grela 2006-01-06 16:45:33 UTC
#06012006 look at attachment
Comment 1 Lukasz Grela 2006-01-06 16:46:43 UTC
Created attachment 28262 [details]
findbugs report
Comment 2 Petr Jiricka 2006-07-31 17:12:32 UTC
Not evaluated, please evaluate properly.
Comment 3 _ ludo 2006-08-08 17:47:49 UTC
We'll analyse all the error and close the bug when we fell ready for 5.5.
Remaining warnings are OK.
Comment 4 Petr Jiricka 2006-09-05 17:05:21 UTC
Changing priority to P4 per team agreement. Leaving open as a reminder - feel
free to close as WONTFIX if you don't need this reminder. When evaluating, you
may want to run the tool again rather than looking at the attached report, as
the report is half a year old.
Comment 5 Jiri Prox 2007-09-17 21:36:59 UTC
Obsolete milestone, please reevaluate
Comment 6 Vince Kraemer 2007-12-08 04:06:10 UTC
This needs to get re-examined and resolved properly...
Comment 7 Vince Kraemer 2008-01-07 21:27:14 UTC
this is for serverplugins/sun/appsrv project.

Nitya: rerun findbugs and eliminate any Correctness warnings that are found.  i would like to see this project
correctness clean for 6.1.
Comment 8 Vince Kraemer 2008-01-07 22:08:20 UTC
lower to p3... stay on radar... not too on, though.
Comment 9 Nitya Doraisamy 2008-01-08 18:21:29 UTC
FindBugs run/scrub started. Lowering to P3
Comment 10 Vince Kraemer 2008-04-25 18:49:52 UTC
did this get done?
Comment 11 pslechta 2008-06-20 08:37:30 UTC
FindBugs reports 96 potential bugs on org-netbeans-modules-j2ee-sun-appsrv.jar file (the last analysis from lgrela did
show 100 bug candidates)...
Comment 12 Vince Kraemer 2008-06-23 21:39:29 UTC
http://hg.netbeans.org/main?cmd=changeset;node=17a87cbc73f9

drove the correctness count to zero.
Comment 13 Vince Kraemer 2008-06-24 18:04:01 UTC
this did not get fixed in 6.1... resetting the TM to TBD
Comment 14 Vince Kraemer 2008-07-28 18:37:09 UTC
still correctness clean.

lowering to p4
Comment 15 Vince Kraemer 2008-10-17 23:47:33 UTC
what is the status of this?  have you made any progress on lowering the number of reported bugs?

Please be ready to discuss this issue on 2008/10/22
Comment 16 Vince Kraemer 2008-12-24 21:57:07 UTC
not worth worrying about in 7.0 time frame


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo